Bug 616686 - virt-manager: Add sound device for remote vm install doesn't work
Summary: virt-manager: Add sound device for remote vm install doesn't work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: x86_64 Linux
low
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: RHELNAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-21 07:57 UTC by weizhang
Modified: 2011-05-19 13:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:46:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0637 normal SHIPPED_LIVE virt-manager bug fix and enhancement update 2011-05-18 17:55:47 UTC

Description weizhang 2010-07-21 07:57:01 UTC
Description of problem:
After Click Edit menu->Preferences->VM Details, and select "Remote virtual machine" in New VM section, and create a vm on remote connection, there is no sound device exist.

Version-Release number of selected component (if applicable):
virt-manager-0.8.4-7.el6.noarch
libvirt-0.8.1-15.el6.x86_64
kernel  2.6.32-50.el6.x86_64
qemu-kvm-0.12.1.2-2.96.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Click Edit menu->Preferences->VM Details, and select "Remote virtual machine" in New VM section.
2. Create a vm on remote connection
3. Click the hardware tab in the Virtual Machine Details window to check sound device.
  
Actual results:
there is no sound device exists

Expected results:
sound device exist and work well

Additional info:

Comment 2 RHEL Product and Program Management 2010-07-21 08:17:51 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Cole Robinson 2010-11-29 19:24:41 UTC
Fixed upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/c7bfca6a3404

Comment 4 Cole Robinson 2011-01-14 22:15:33 UTC
Fixed in virt-manager-0.8.6-1.el6

Comment 6 min zhan 2011-01-17 08:14:37 UTC
Verified with passed in virt-manager-0.8.6-1.el6

Sound device can be installed in guest via remote connection. In virt-manager guest hardware tab can see this device. Also log in the guest and use # lspci to check this device is existed and works well. 

# uname -a
Linux dhcp-65-85.nay.redhat.com 2.6.32-99.el6.x86_64 #1 SMP Fri Jan 14 10:46:00
EST 2011 x86_64 x86_64 x86_64 GNU/Linux

kernel-2.6.32-99.el6.x86_64
qemu-kvm-0.12.1.2-2.129.el6.x86_64
libvirt-0.8.7-1.el6.x86_64

Comment 7 errata-xmlrpc 2011-05-19 13:46:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0637.html


Note You need to log in before you can comment on or make changes to this bug.